#!/bin/sh
#
# Package: auto-pilot
# Erez Zadok <ezk@cs.sunysb.edu>
# Copyright (c) 2001-2005 Stony Brook University

# Use our common settings

set -e

source commonsettings || exit $?

# Unmount testroot
DOMOUNT=1
ap_hook unmount "$TESTDEV" "$TESTROOT" || ERR=1
if [ "$DOMOUNT" = "1" ] ; then
	ap_action $"Unmounting testroot" ap_unmount ${TESTROOT} || ERR=1
fi

exit $ERR
