#!/bin/sh
#
# Package: auto-pilot
# Erez Zadok <ezk@cs.sunysb.edu>
# Copyright (c) 2001-2005 Stony Brook University
#
# This script should turn on enough services so that you can use the machine 
# again.  It is not designed to bring up everything that it stopped, to get
# the machine to a truly "usable" state, reboot it.

rm -f /etc/nologin
if ! /etc/rc.d/init.d/sshd status ; then
	/etc/rc.d/init.d/sshd start
fi
rm -f /tmp/APV2PAGE

LINES=`who | grep '(.*)$' | sed -e's/^.*(\(.*\))$/\1/g' | wc -l`
if [ "$LINES" -gt 0 ] ; then
	wall "Benchmarks OK: $*";
else
	if [ ! -z "$OKADDR" ] ; then
		(uname -a ; echo $* ) | mail -s "Benchmarks OK" $OKADDR
	fi
	/etc/rc.d/init.d/sendmail start
fi

exit 0
